(defun C:PLOTTEST (/ pln pln1 pln2 antwort plu1 plu2 plo1 plo2) ;---------------------- (vl-load-com) (setq antwort 7) (while (= antwort 7) (setq pln (getstring "\nPlotdatei-Name : " pln)) (setq pln1 (strcat pln "_o.eps")) (setq pln2 (strcat pln "_u.eps")) (if (or (findfile pln1)(findfile pln2)) (setq antwort (vle-alert "Dateitest" (strcat "file " pln1 " already exists --> " "\nPlot-file-name OK? ") (+ 4 32))) (setq antwort 0) ) ;endif ) ;endwhile ; (setq plu1 (getpoint "First left lower point: ") plo1 (getpoint "First right upper point: ")) ; (setq plu2 (getpoint "Second left lower point: ") plo2 (getpoint "Second right upper point: ")) (setq plu1 (list -90 -3) plo1 (list -18 116) plu2 (list -112 -15) plo2 (list 134 130)) (if (= 6 antwort)(vl-file-delete pln1)) (command "-PLOT" "_y" "" "CANON LBP-1760 PS" "A4" "_M" "H" "_N" "_W" plu1 plo1 "1=1" "" "_y" "monochrome.ctb" "_y" "" "_y" pln1 "_N" "_Y") (print "1. Plot finished") (getstring) ;;;;;;<-- wenn diese Zeile fehlt, entsteht meistens (!) ein zweites Plotfile mit der Dateilänge 0 (if (= 6 antwort)(vl-file-delete pln2)) (command "-PLOT" "_y" "" "CANON LBP-1760 PS" "A4" "_M" "H" "_N" "_W" plu2 plo2 "1=1" "" "_y" "monochrome.ctb" "_y" "" "_y" pln2 "_N" "_Y") (print "2. Plot finished")(getstring) )